Créer une tâche de relecture de webhook
curl --request POST \
--url https://api.x.com/2/webhooks/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_date": "202504242000",
"to_date": "202504242000",
"webhook_id": "1146654567674912769"
}
'import requests
url = "https://api.x.com/2/webhooks/replay"
payload = {
"from_date": "202504242000",
"to_date": "202504242000",
"webhook_id": "1146654567674912769"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_date: '202504242000',
to_date: '202504242000',
webhook_id: '1146654567674912769'
})
};
fetch('https://api.x.com/2/webhooks/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2025-04-24T20:57:15.242Z",
"job_id": "1915510368169844736"
}{
"code": 123,
"message": "<string>"
}Webhooks
Créer une tâche de relecture de webhook
Crée une tâche de relecture pour récupérer les événements des dernières 24 heures pour tous les événements livrés ou ayant fait l’objet d’une tentative de livraison au webhook.
POST
/
2
/
webhooks
/
replay
Créer une tâche de relecture de webhook
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/json
L’horodatage UTC initial (inclusif) à partir duquel les événements seront fournis, au format aaaammjjhhmm.
Pattern:
^[0-9]{12}$Exemple:
"202504242000"
L’horodatage UTC initial (inclusif) à partir duquel les événements seront fournis, au format aaaammjjhhmm.
Pattern:
^[0-9]{12}$Exemple:
"202504242000"
L’identifiant unique de cette configuration de webhook.
Pattern:
^[0-9]{1,19}$Exemple:
"1146654567674912769"
Réponse
La requête a réussi.